net.fortuna.ical4j.util

## Class SimpleHostInfo

- java.lang.Object
- - net.fortuna.ical4j.util.SimpleHostInfo

All Implemented Interfaces:
  HostInfo

    public class SimpleHostInfo
    extends Object
    implements HostInfo

Author:
  fortuna

### Constructor Summary

Constructors
Constructor and Description
`SimpleHostInfo(String hostName)`

### Method Summary

Methods
`String` `getHostName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleHostInfo

    public SimpleHostInfo(String hostName)

Parameters:
  `hostName` - the hostname returned by `HostInfo.getHostName()`

### Method Detail

#### getHostName

    public String getHostName()

Specified by:
  `getHostName` in interface `HostInfo`
Returns:
  a name for the host machine